import 'package:freezed_annotation/freezed_annotation.dart';

part 'settings_event.freezed.dart';

@freezed
class SettingsEvent with _$SettingsEvent {
  const factory SettingsEvent.started() = SettingsStarted;
  const factory SettingsEvent.configRequested() = SettingsConfigRequested;
  const factory SettingsEvent.apiUrlChanged(String url) = SettingsApiUrlChanged;
  const factory SettingsEvent.apiUrlSaved(String url) = SettingsApiUrlSaved;
  const factory SettingsEvent.languageChanged(String code) = SettingsLanguageChanged;
  const factory SettingsEvent.refreshConfig() = SettingsRefreshConfig;
}
